LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux From Scratch (http://www.linuxquestions.org/questions/linux-from-scratch-13/)
-   -   BLFS: Phonon-backend-gstreamer-4.6.2 error (http://www.linuxquestions.org/questions/linux-from-scratch-13/blfs-phonon-backend-gstreamer-4-6-2-error-4175440321/)

erkant 12-06-2012 01:08 PM

BLFS: Phonon-backend-gstreamer-4.6.2 error
 
When I try to install Phonon-backend-gstreamer-4.6.2, I get the following error message:

CMake Warning at cmake/FindPhonon.cmake:9 (find_package):
Could not find a package configuration file provided by "Phonon" with any
of the following names:

PhononConfig.cmake
phonon-config.cmake

Add the installation prefix of "Phonon" to CMAKE_PREFIX_PATH or set
"Phonon_DIR" to a directory containing one of the above files. If "Phonon"
provides a separate development package or SDK, be sure it has been
installed.
Call Stack (most recent call first):
CMakeLists.txt:7 (find_package)


CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:97 (message):
Could NOT find Phonon (missing: Phonon_DIR)
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:291 (_FPHSA_FAILURE_MESSAGE)
cmake/FindPhonon.cmake:16 (find_package_handle_standard_args)
CMakeLists.txt:7 (find_package)


-- Configuring incomplete, errors occurred!


It cannot find my Phonon installation. I already install Phonon-4.6.0 using the following commands:

cmake -DCMAKE_INSTALL_PREFIX=$QTDIR \
-DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE \
-DDBUS_INTERFACES_INSTALL_DIR=/usr/share/dbus-1/interfaces \
.. &&

And I try to install Phonon-backend-gstreamer-4.6.2 using the following command:

cmake -DCMAKE_INSTALL_PREFIX=$KDE_PREFIX .. &&
make


Please note that my QTDIR is equal to /opt/qt, and my KDE_PREFIX is equal to /usr.

I tried making: export Phonon_DIR=/sources/phonon-4.6.0/build , and running the configuration for Phonon-backend-gstreamer-4.6.2 again, and this time I get the following error:

root [ /sources/phonon-backend-gstreamer-4.6.2/build ]# cmake -DCMAKE_INSTALL_PREFIX=$KDE_PREFIX .. &&
> make
CMake Error at /sources/phonon-4.6.0/build/PhononConfig.cmake:18 (include):
include could not find load file:

/sources/phonon-4.6.0/build/PhononTargets.cmake
Call Stack (most recent call first):
cmake/FindPhonon.cmake:9 (find_package)
CMakeLists.txt:7 (find_package)


CMake Error at /sources/phonon-4.6.0/build/PhononConfig.cmake:30 (include):
include could not find load file:

//share/phonon/buildsystem//FindPhononInternal.cmake
Call Stack (most recent call first):
cmake/FindPhonon.cmake:9 (find_package)
CMakeLists.txt:7 (find_package)


-- Found Phonon: /sources/phonon-4.6.0/build
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.27")
-- checking for module 'gstreamer-0.10'
-- found gstreamer-0.10, version 0.10.36
-- Found GStreamer: /usr/lib/libgstreamer-0.10.so
CMake Error at gstreamer/ConfigureChecks.cmake:16 (macro_log_feature):
Unknown CMake command "macro_log_feature".
Call Stack (most recent call first):
gstreamer/CMakeLists.txt:17 (include)


-- Configuring incomplete, errors occurred!

If anyone can help, I would be glad.

erkant 12-08-2012 06:53 AM

I solved it. I just changed my KDE_PREFIX from /usr to /opt/kde


All times are GMT -5. The time now is 07:48 PM.